// Package org_accordproject_patent_0_2_0 contains domain objects and was generated from Concerto namespace org.accordproject.patent@0.2.0.
package org_accordproject_patent_0_2_0
import "time"
import "org_accordproject_address_0_2_0";
import "org_accordproject_geo_0_2_0";
import "org_accordproject_person_0_2_0";
import "org_accordproject_usa_residency_0_2_0";
import "concerto_1_0_0";
   
type PatentAssetIdentifier struct {
   concerto_1_0_0.Concept
   AssetNumber string `json:"assetNumber"`
   NumberStatus AssetNumberStatus `json:"numberStatus"`
   AssetCountry Country `json:"assetCountry"`
}
type PatentClassification struct {
   concerto_1_0_0.Concept
   ClassificationSymbol string `json:"classificationSymbol"`
   ClassificationDescription string `json:"classificationDescription"`
}
type Inventor struct {
   org_accordproject_person_0_2_0.Person
   ResidentCountry Country `json:"residentCountry"`
   InventorResidency Residency `json:"inventorResidency"`
}
type Applicant struct {
   org_accordproject_person_0_2_0.Person
}
type Assignee struct {
   org_accordproject_person_0_2_0.Person
}
type AssetNumberStatus int
const (
   APP AssetNumberStatus = 1 + iota
   PAT
   PUB
   REISS
   FOR
)
type ApplicationType int
const (
   PROV ApplicationType = 1 + iota
   NONPROV
)
type SubjectMatter int
const (
   UTILITY SubjectMatter = 1 + iota
   PLANT
   DESIGN
)
type PatentAsset struct {
   concerto_1_0_0.Concept
   AssetIdentifier []PatentAssetIdentifier `json:"assetIdentifier"`
   Title string `json:"title"`
   InventorIdentifier []Inventor `json:"inventorIdentifier"`
   ApplicantIdentifier Applicant `json:"applicantIdentifier"`
   CurrentAssignee Assignee `json:"currentAssignee"`
   OriginalAssignee Assignee `json:"originalAssignee"`
   PriorityDate time.Time `json:"priorityDate"`
   FilingDate time.Time `json:"filingDate"`
   IssueDate time.Time `json:"issueDate"`
   PublicationDate time.Time `json:"publicationDate"`
   Classifier []PatentClassification `json:"classifier"`
   AttorneyDocketNumber string `json:"attorneyDocketNumber"`
   CustomerNumber string `json:"customerNumber"`
   EmailAddress []string `json:"emailAddress"`
   ApplicationType ApplicationType `json:"applicationType"`
   SubjectMatter SubjectMatter `json:"subjectMatter"`
   NumDrawings float64 `json:"numDrawings"`
   PubFigure float64 `json:"pubFigure"`
   PriorApplication []PatentAsset `json:"priorApplication"`
}
